Page MenuHomePhabricator

Implement logging in Newsletter
Closed, ResolvedPublic

Description

For accountability, transparency etc. actions such as creating and deleting and announcing new issues should be logged.

Marking this as low priority for now as it would be better to focus on input validation for now as it's likely that it might create problems in the future if we add improperly validated data to logs.

Details

Related Gerrit Patches:
mediawiki/extensions/Newsletter : masterImplement logging for newsletter actions

Event Timeline

Glaisher created this task.Aug 27 2015, 5:13 PM
Glaisher raised the priority of this task from to Low.
Glaisher updated the task description. (Show Details)
Glaisher added a subscriber: Glaisher.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2015, 5:13 PM
Qgil added a subscriber: Qgil.Nov 12 2015, 11:30 AM

Are we talking about one log for each Newsletter and then a log for the extension (creation of newsletter etc)? Where can users see these logs?

Qgil added a comment.Nov 12 2015, 11:44 AM

<qgil> Maybe we can start with a common log somewhere?
<qgil> I don't think this is critical for users on their day to dat
<qgil> then, if users want more, we can think of more
<qgil> but at least we solve the hurdle for deployment
<qgil> I agree logging is needed
<Glaisher> qgil: I was thinking just a normal Special:Log-type log?
<qgil> Glaisher, works for me.
<qgil> agreed?
<Glaisher> yeah, that should work I think
<tinajohnson> agreed
<tinajohnson> Before or after deployement ?
<qgil> I'd say before, if it is not rocket science
<tinajohnson> hehe, alright then :)

Qgil raised the priority of this task from Low to Medium.Nov 12 2015, 12:10 PM

This would include adding a wfDebugLog after each of these actions, and thereby can be a pretty good first task. If you think this would be a possible Google-Code-In-2015 task, I can mentor.

No, this is about on-wiki logging, not server-side logging so this is not simple as that. I'm not sure about this being eligible for GCI though.

Qgil assigned this task to Parent5446.Apr 1 2016, 8:31 AM
Qgil added a project: Wikimedia-Hackathon-2016.

Change 280887 had a related patch set uploaded (by Parent5446):
Implement logging for newsletter actions

https://gerrit.wikimedia.org/r/280887

Change 280887 merged by Addshore:
Implement logging for newsletter actions

https://gerrit.wikimedia.org/r/280887

@Parent5446 @Addshore : Safe to close this one as resolved ?

Yep I believe so, unless there are other logging actions we wanted implemented.

01tonythomas closed this task as Resolved.Apr 2 2016, 2:24 PM

Yep I believe so, unless there are other logging actions we wanted implemented.

Alright. closing it down. Thank you @Parent5446, @Addshore!

Qgil awarded a token.Apr 3 2016, 7:48 AM